Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0009410 [DCSS] Upload: Maps and Vaults feature unable to reproduce 2015-01-17 03:21 2015-03-27 18:22
Reporter nicolae View Status public  
Assigned To gammafunk
Priority normal Resolution done  
Status resolved   Product Branch 0.16 ancient branch
Summary 0009410: seventeen vaults, fell off the back of a truck, get them now while they last
Description Comments:
nicolae_swamp_phyte_club: may need to be toned down a bit.
nicolae_arrival_memento_mori: there are no tiles for vine stalker or formicid corpses yet.
nicolae_doorway_surprise: exploits some odd door behavior. may cause bug reports from confused players.
Additional Information
Tags No tags attached.
Attached Files ? file icon vaults0116.des [^] (11,323 bytes) 2015-01-17 03:21 [Show Content]
? file icon mementomori.des [^] (974 bytes) 2015-01-17 19:08 [Show Content]
? file icon mementomori2.des [^] (922 bytes) 2015-01-17 20:19 [Show Content]
? file icon alphashops.des [^] (11,327 bytes) 2015-01-24 23:00 [Show Content]
? file icon vaults0224.des [^] (2,758 bytes) 2015-02-25 03:47 [Show Content]
? file icon panglyphs.des [^] (4,736 bytes) 2015-02-27 03:38 [Show Content]
? file icon alphashops2.des [^] (11,702 bytes) 2015-03-20 03:59 [Show Content]
? file icon alphashops3.des [^] (12,248 bytes) 2015-03-21 21:08 [Show Content]
? file icon phyteclub2.des [^] (2,971 bytes) 2015-03-24 02:57 [Show Content]
? file icon phyteclub3.des [^] (1,488 bytes) 2015-03-27 05:17 [Show Content]
? file icon phyteclub3actual.des [^] (1,490 bytes) 2015-03-27 05:23 [Show Content]

- Relationships

-  Notes
(0028287)
MarvinPA (developer)
2015-01-17 13:58
edited on: 2015-01-17 14:00

Vetoing vaults based on species shouldn't be used for non-troves. And the door thing looks like not a great use of doors to me.

(0028288)
nicolae (reporter)
2015-01-17 16:28

1) Why not? In this case, the vault is purely decorative; it's not like players of corpseless species are going to miss out on a lot of loot.

2) Oh, the door thing is flat out ridiculous. It's more likely that the door behavior it exploits will be fixed rather than letting the vault go in. Still. Worth a shot.
(0028289)
nicolae (reporter)
2015-01-17 19:09
edited on: 2015-01-17 20:21

Redone version, which can also place skellingtons. Corpseless species just get human remains.

Edit: Redone again with a minor aesthetic change -- corpseless species get unnamed remains, as a more generic "death awaits" message, rather than the "this is your personal future" message given to corpsehaving species.

(0028350)
nicolae (reporter)
2015-01-24 23:01

I love making shop vaults, so I made 26 at once.

I've attempted to make alphashops.des as painless to maintain as possible, but I apologize in advance nonetheless.
(0028567)
nicolae (reporter)
2015-02-25 03:48

Four more vaults.
1) A serial shop vault with a monster.
2) A Pan decor vault, intended to suggest some sort of transit hub.
3) An Ashenzari overflow vault.
4) A small temple layout.
(0028578)
nicolae (reporter)
2015-02-27 03:40

Another vault, a Pandemonium decor vault with many subvaults. Strange glyphs, of varying randomization, complexity, and symmetry, carved from the material of Pandemonium itself. What do they mean? Who knows. The individual glyphs are named for negative emotions for inscrutable reasons.
(0028579)
dpeg (administrator)
2015-02-28 03:57

I really like these vaults. Many thanks for making them! A few comments:

panglyphs: the theme might be stronger if the glyphs could have strange colours and/or the floor around them strange colours/tiles.

alphashops is so gimmicky and nerdy, but also incredibly cool! It will always be outdated, but I fully support including it. It's a great concept! I think this vault should be quite rare, not for balance reasons but in order to make the witty idea stronger (this is like Yiuf going full hammer: it should happen, but very rarely).
(0028580)
nicolae (reporter)
2015-02-28 04:24

"panglyphs: the theme might be stronger if the glyphs could have strange colours and/or the floor around them strange colours/tiles."

Perhaps -- in testing they sometimes blended in with the more chaotic Pan layouts. I don't know if COLOUR:/TILE: directives in a main vault will propagate down to the subvaults, though, so that might take some doing (unless I just specify some given color and tile by hand in each subvault).

"alphashops is so gimmicky and nerdy..."

Thanks!

"...but also incredibly cool!"

Also thanks! alphashops being quite rare is fine with me, though I'd kind of like it if the allow_dup stayed in.
(0028626)
gammafunk (administrator)
2015-03-10 23:53

I've pushed all but the doorway vault into a branch called "nicolae_madness". The doorway vault exploits buggy door behaviour, so we probably shouldn't do that. Minor tweaks to alphabetshops and phyte_club. I didn't go through these super carefully, but did test that they all place. Since we won't merge new content like this until post-tournament, others can take a look and make tweaks in the branch before I rebase it to trunk.

For the alphabet shops, I noticed that E had three manuals of earth and three staves of energy when it placed. For some letters with fewer item types, it might be better to lower the number of items in the shop. I guess you'd have to have the base non-random value for the item count (currently 7) in table/array by letter to do that, but suggestions welcome.

For phyte_club, I noted in the commit that placing a dryad doesn't seem good, but alternatives to just another thorn hunter are welcome. I agree that vault seems a bit much, and it's a closed off vault only with lots of monsters and no loot, so it strongly encourages exclusion once you know about it.

For nicolae_crypt_little_mausoleum, when I placed it, none of the off-center decorations placed, so it was a box with a kiku altar only. Might want to make something decorative always place, otherwise it's not much of a mausoleum.
(0028637)
nicolae (reporter)
2015-03-12 01:09

1) I'm okay with the doorway vault getting the axe; it wasn't really much more than a proof-of-concept-slash-demonstration-of-a-bug.

2) I noticed that during testing, which is why there's an assigned count instead of letting it go to 13 or 14 items, but that kind of repetition is pretty hard to avoid in shops. I had thought about having some kind of count associated with each letter to scale things better but by that point my sanity was returning. (First thought: if there's an existing lua command to return the number of times a given character appears in a string, you could count the |s as a proxy for item variety and do some math on that number, which would solve the problem while also not requiring too many updates if the shop inventories change and doesn't require another array... however, I'm not going to touch it right now.)

3) I asked in ##crawl-dev ages ago about putting dryads in vaults, the response at the time seemed to be that it was no big deal.

4) The Kiku altar was the decoration. It either places one decoration in the middle (4/5 chance) or two decorations in the corners (1/5 chance). There's also a minor chance of the two statues outside being replaced by floor. Not everybody can afford a fancy hole in the wall sadly.
(0028676)
nicolae (reporter)
2015-03-20 04:00

Updated alphashops with some math that will scale the size of a shop. Letters with more potential items get bigger shops. This doesn't quite prevent shops with three of the same thing, but it cuts down on it.
(0028680)
nicolae (reporter)
2015-03-21 21:09

Now alphashops has been updated with a function that automatically checks to see which letters have enough variety, so no one has to manually update the options string.

I think I'm done with alphashops, unless there's any minor cosmetic changes to be made.
(0028696)
nicolae (reporter)
2015-03-24 02:58

I added some loot to phyte_club, in two versions, with and without dryad, since there's no answer yet about whether that should be a thing.
(0028724)
gammafunk (administrator)
2015-03-27 01:56

I've pushed all but phyte_club in 0.17-a0-216-g6375917, thanks nicolae. Once you've finalized phyte_club , upload it here and I'll push. You mentioned lowering the high level f a bit. To me 5 or 6 high level f at max sounds about right, since it's approaching swamp:5 rune vault difficulty with 8.
(0028725)
nicolae (reporter)
2015-03-27 02:32

I just noticed the commit. Thanks! I figured that's why phyte_club didn't get pushed yet, I'll try to get that done soon.
(0028726)
nicolae (reporter)
2015-03-27 05:23

Argh, I uploaded an earlier version by mistake. The real actual final version is uploaded now.
(0028729)
gammafunk (administrator)
2015-03-27 18:22

The phyte is on in 0.17-a0-222-g8dd2fbe, thanks! Resolving since the entire truckload is merged.

- Issue History
Date Modified Username Field Change
2015-01-17 03:21 nicolae New Issue
2015-01-17 03:21 nicolae File Added: vaults0116.des
2015-01-17 13:58 MarvinPA Note Added: 0028287
2015-01-17 14:00 MarvinPA Note Edited: 0028287
2015-01-17 16:28 nicolae Note Added: 0028288
2015-01-17 19:08 nicolae File Added: mementomori.des
2015-01-17 19:09 nicolae Note Added: 0028289
2015-01-17 20:19 nicolae File Added: mementomori2.des
2015-01-17 20:21 nicolae Note Edited: 0028289
2015-01-24 23:00 nicolae File Added: alphashops.des
2015-01-24 23:01 nicolae Note Added: 0028350
2015-02-25 03:47 nicolae File Added: vaults0224.des
2015-02-25 03:48 nicolae Note Added: 0028567
2015-02-27 03:38 nicolae File Added: panglyphs.des
2015-02-27 03:40 nicolae Note Added: 0028578
2015-02-28 03:57 dpeg Note Added: 0028579
2015-02-28 04:24 nicolae Note Added: 0028580
2015-03-10 23:53 gammafunk Note Added: 0028626
2015-03-12 01:09 nicolae Note Added: 0028637
2015-03-20 03:59 nicolae File Added: alphashops2.des
2015-03-20 04:00 nicolae Note Added: 0028676
2015-03-21 21:08 nicolae File Added: alphashops3.des
2015-03-21 21:09 nicolae Note Added: 0028680
2015-03-24 02:57 nicolae File Added: phyteclub2.des
2015-03-24 02:58 nicolae Note Added: 0028696
2015-03-27 01:56 gammafunk Note Added: 0028724
2015-03-27 02:32 nicolae Note Added: 0028725
2015-03-27 05:17 nicolae File Added: phyteclub3.des
2015-03-27 05:23 nicolae File Added: phyteclub3actual.des
2015-03-27 05:23 nicolae Note Added: 0028726
2015-03-27 18:22 gammafunk Note Added: 0028729
2015-03-27 18:22 gammafunk Status new => resolved
2015-03-27 18:22 gammafunk Fixed in Branch => 0.16 pre-release branch
2015-03-27 18:22 gammafunk Resolution open => done
2015-03-27 18:22 gammafunk Assigned To => gammafunk


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker